***********************************************************************************
* Latin-TAXBEN - The Flexible Tax Simulator for Middle Income Countries
* Build 2012-1
*
* Program name: loadprogs.do
* Program purpose: loads the programs that will be called
* Program created: 29 May 2012, by David Phillips (based on MEXTAX 2010 Build)
***********************************************************************************

* FIRSTLY DOES TAX CALCULATIONS UNDER BASE AND REFORM SYSTEMS
** PRIMERO HACER CALCULOS DE PAGO DE IMPUESTOS DIRECTOS E INDIRECTOS BAJO EL SISTEMA BASE Y LOS SISTEMAS REFORMADOS

foreach Y in $sys1 $sys2 $sys3 {

	global D = `Y'

	** load parameters
	 qui do "$param\params_`Y'.do"

	** does indirect tax, and then direct tax
	 qui do "$taxsim\calc_indirtax.do"
	 qui do "$taxsim\set_taxbase.do"
	 qui do "$taxsim\calc_dirtax.do"

	scalar drop _all

}


* THEN DOES THE DISTRIBUTIONAL ANALYSIS AS STANDARD
** LUEGO HACER EL ANALISIS DISTRIBUTIVO STANDARD - SIN CAMBIOS EN EL COMPORTAMIENTO

  qui do "$taxsim\do_household.do"


  do "$taxsim\do_distanalysis.do"



* THEN DOES THE BEHAVIORAL ANALYSIS
** LUEGO HACER EL ANALISIS CON CAMBIOS EN EL COMPORTAMIENTO

local x = $labmod
if `x' == 1 {

	do "$taxsim\labor.do"

}

local x = $consmod
if `x' == 1 {

	do "$taxsim\quaids.do"

}

local x = $indir
if `x' == 1 {

	do "$taxsim\indirect_incidence.do"

}



